<%--
Imode戻るボタンエラー画面
--%>
<%@ page contentType="text/html; charset=shift_jis" pageEncoding="shift_jis"%>
<%@ page import="jp.co.ntt.lms.lo.scorm.util.SG"%>

<%@ page import="jp.co.ntt.lms.lo.scorm.engine.ExecuteParameters"%>
<%@ page import="jp.co.ntt.lms.xms.framework.XmsRequest"%>
<%@ page import="jp.co.ntt.lms.imode.lo.scorm.engine.ForceSuspendLearn"%>

<%@ page import="jp.co.ntt.lms.imode.common.UserAgentCheck"%>
<%@ page import="jp.co.ntt.lms.imode.common.MobConst"%>

<%
// セッションからreturnURL取得
String returnURL = (String)session.getAttribute("MOBILE.RETURN_URL");
String returnDesp = "今一度";

// セッションからreturnURLが取得できない場合
if (returnURL == null || returnURL.equals("")) {
	StringBuffer sbDefaultURL = new StringBuffer();
	// プロトコル取得
	sbDefaultURL.append(request.getScheme());
	sbDefaultURL.append("://");
	// 管理系サーバ名取得
	sbDefaultURL.append(SG.get("ManagerName"));
	
	// ユーザーエージェント判定
	XmsRequest xmsRequest= new XmsRequest(request, response);
	request = xmsRequest.getRequest();
	UserAgentCheck userCarrier = new UserAgentCheck(request);
	
	// 携帯以外からのアクセスの場合
	if (userCarrier.getMobileCarrier() == UserAgentCheck.PC) {
		// ウィンドウを閉じるＵＲＬ
//		sbDefaultURL.append("/sce/");
//		sbDefaultURL.append(MobConst.C_WINDOWCLOSE_URI);
//		returnURL = sbDefaultURL.toString();
		returnURL = "javascript:window.close()";
		returnDesp = "閉じる";
		
	} else {
	// 携帯からのアクセスの場合
		// ログイン画面に戻る 初期画面ＵＲＬ
		sbDefaultURL.append("/xms2/");
		sbDefaultURL.append(MobConst.C_LOGIN_URI);
		returnURL = sbDefaultURL.toString();
		returnDesp = "ログイン画面へ戻る";
	}
}
// 強制終了
// 起動パラメータクラス取得
ExecuteParameters executeParameters = (ExecuteParameters)session.getAttribute("SCORM.EXECUTE_PARAMETERS");
if (executeParameters != null) {
	// エンジンキー作成
	String engineKeyName =
		"SCORM." + executeParameters.getUserID() + "." +
		 executeParameters.getLOID() + ".ENGINE";
	XmsRequest xmsRequest = new XmsRequest(request, response);

	// 強制終了処理
	ForceSuspendLearn fsl = new ForceSuspendLearn(engineKeyName);
	fsl.request(xmsRequest);

}

%>

<html>
<head>
   <title> "ＳＥＱエラー画面" </title>
</head>
<body>
<pre>
携帯電話の「戻る」ボタンは使用できません。学習履歴が正しく登録できませんので、お手数ですが、以下の「今一度」ボタンより、再度学習をお願いします。

<a href="<%=returnURL%>"><%=returnDesp%></a>
</pre>
</body>
</html>
